<!doctype html>
<html lang="en" class="no-js elg-gui-ie">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <title>
        Create Document
    </title>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    <link rel="stylesheet" href="assets/css/bootstrap.css?compile=false"/>
    <link rel="stylesheet" href="assets/css/application.css?compile=false"/>

    <!-- Required styles for MDC Web -->
    <link rel="stylesheet" href="assets/css/material-components-web-14.0.0.min.css">
    <link href="assets/fonts/roboto.css" rel="stylesheet">
    <link href="assets/fonts/material-icons.css" rel="stylesheet">
</head>
<body class="mdc-typography">
<div class="mdc-layout-grid" style="border: 1px solid #ccc; border-radius: 4px">
    <div class="mdc-layout-grid__inner">
        <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
            <p id="filedata">No audio loaded - select one of the options below</p>
        </div>
    </div>
    <div class="mdc-layout-grid__inner">
        <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-1">
            <button id="control-input" class="mdc-button next" aria-label="play" disabled>
                <i class="material-icons mdc-button__icon" aria-hidden="true">play_arrow</i>
            </button>
        </div>
        <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-11-desktop mdc-layout-grid__cell--span-7-tablet mdc-layout-grid__cell--span-3-phone" id="input-waveform"></div>
    </div>
</div>
<form id="elg-test-form">
    <div id="elg-messages"></div>
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4 text-center" id="mictab">
                <h2 class="mdc-typography--subtitle1">Use audio from</h2>
                <button id="recordmic" class="mdc-button mdc-button--raised next" disabled>
                    <i class="material-icons mdc-button__icon" aria-hidden="true">mic</i>
                    <span class="mdc-button__label">
                        Microphone
                    </span>
                </button>
                <button id="stoprecord" class="mdc-button mdc-button--raised next hidden" disabled>
                    <i class="material-icons mdc-button__icon" aria-hidden="true">stop</i>
                    <span class="mdc-button__label">
                        Stop recording
                    </span>
                </button>
                <h3 class="mdc-typography--subtitle2" id="recordstate">&nbsp;</h3>
                <div role="progressbar" class="mdc-linear-progress mdc-linear-progress--closed" id="progressbar" data-mdc-auto-init="MDCLinearProgress">
                    <div class="mdc-linear-progress__buffer">
                        <div class="mdc-linear-progress__buffer-bar"></div>
                        <div class="mdc-linear-progress__buffer-dots"></div>
                    </div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__primary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__secondary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                </div>
            </div>
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4 text-center" id="filetab">
                <h2 class="mdc-typography--subtitle1">or from</h2>
                <input type="file" id="fileinput" class="hidden" accept="audio/mpeg, audio/mp3, audio/wav">
                <button id="selectfile" class="mdc-button mdc-button--raised next" disabled>
                    <i class="material-icons mdc-button__icon" aria-hidden="true">cloud_upload</i>
                    <span class="mdc-button__label">
                        File
                    </span>
                </button>
            </div>
            <div id="samples-container" class="mdc-layout-grid__cell mdc-layout-grid__cell--span-4-desktop mdc-layout-grid__cell--span-8-tablet mdc-layout-grid__cell--span-4-phone hidden">
                <div id="sample-spinner-holder" class="hidden">
                    <div id="sample-spinner" class="mdc-circular-progress mdc-circular-progress--closed mdc-circular-progress--indeterminate" style="width:48px;height:48px;" role="progressbar" aria-label="Fetching sample" aria-valuemin="0" aria-valuemax="1" data-mdc-auto-init="MDCCircularProgress">
                        <div class="mdc-circular-progress__determinate-container">
                            <svg class="mdc-circular-progress__determinate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                <circle class="mdc-circular-progress__determinate-track" cx="24" cy="24" r="18" stroke-width="4"/>
                                <circle class="mdc-circular-progress__determinate-circle" cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="113.097" stroke-width="4"/>
                            </svg>
                        </div>
                        <div class="mdc-circular-progress__indeterminate-container">
                            <div class="mdc-circular-progress__spinner-layer">
                                <div class="mdc-circular-progress__circle-clipper mdc-circular-progress__circle-left">
                                    <svg class="mdc-circular-progress__indeterminate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                        <circle cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="56.549" stroke-width="4"/>
                                    </svg>
                                </div>
                                <div class="mdc-circular-progress__gap-patch">
                                    <svg class="mdc-circular-progress__indeterminate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                        <circle cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="56.549" stroke-width="3.2"/>
                                    </svg>
                                </div>
                                <div class="mdc-circular-progress__circle-clipper mdc-circular-progress__circle-right">
                                    <svg class="mdc-circular-progress__indeterminate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                        <circle cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="56.549" stroke-width="4"/>
                                    </svg>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <h2 class="mdc-typography--subtitle1 text-center">or select a sample</h2>
                <div id="samples-list"></div>
            </div>
        </div>

        <div id="service-params"></div>
        <div id="param-checkbox-template">
            <div class="mdc-touch-target-wrapper">
                <div class="mdc-checkbox mdc-checkbox--touch">
                    <input type="checkbox"
                           class="mdc-checkbox__native-control param-use">
                    <div class="mdc-checkbox__background">
                        <svg class="mdc-checkbox__checkmark"
                             viewBox="0 0 24 24">
                            <path class="mdc-checkbox__checkmark-path"
                                  fill="none"
                                  d="M1.73,12.91 8.1,19.28 22.79,4.59"/>
                        </svg>
                        <div class="mdc-checkbox__mixedmark"></div>
                    </div>
                    <div class="mdc-checkbox__ripple"></div>
                </div>
            </div>
        </div>

        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <button id="submit-form" class="mdc-button mdc-button--raised next" disabled>
                    <span class="mdc-button__label">
                            Submit
                    </span>
                </button>
            </div>
        </div>
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <h3 class="mdc-typography--subtitle2" id="process-state">&nbsp;</h3>
                <div role="progressbar" class="mdc-linear-progress mdc-linear-progress--closed" id="submitprogress" data-mdc-auto-init="MDCLinearProgress">
                    <div class="mdc-linear-progress__buffer">
                        <div class="mdc-linear-progress__buffer-bar"></div>
                        <div class="mdc-linear-progress__buffer-dots"></div>
                    </div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__primary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__secondary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                </div>
            </div>
        </div>

    </div>
</form>


<div class="hidden" id="elg-annotate-result">
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-9" id="alternatives">
            </div>

            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-3" id="annotationSelector">
            </div>
        </div>
    </div>
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
            <button id="test-again" class="mdc-button mdc-button--raised next">
                <span class="mdc-button__label">
                        Back
                </span>
            </button>
        </div>
    </div>
</div>


<script type="text/javascript" src="assets/lib/require.js?compile=false"></script>
<script type="text/javascript" src="assets/application.js?compile=false"></script>
<script type="text/javascript" src="web-audio-recorder/WebAudioRecorder.min.js"></script>
<script type="text/javascript" src="params.js"></script>
<script type="text/javascript" src="asr.js"></script>
</body>
</html>
